skriker

WordPress: fix for broken localization in PHP 5

author - malyfred / 10. 10. 2004 /
  • česky

I have found solution how to fix this warning:

Warning: fread() [function.fread]: Length parameter must be greater than 0. in your_domain/wp-includes/streams.php on line 107

You have to fix gettext.php! Try the proper version according to your PHP version:

//$MAGIC1 = (int)0x950412de; //bug in PHP 5
//$MAGIC1 = (int) - 1794895138; //bug in PHP 4.4.0
$MAGIC1 = 2500072158;

//$MAGIC2 = (int)0xde120495; //bug in PHP 5
//$MAGIC2 = (int) - 569244523;// bug in PHP 4.4.0
$MAGIC2 = 3725722773;

© 2004 - 2018 malyfred